package ervu.model.okopf;

import java.io.Serializable;
import java.util.Arrays;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author xakim
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class OkopfDetailsModel implements Serializable {
  private static final long serialVersionUID = 1L;

  private OkopfAttributeValueModel[] attributeValues;

  public OkopfDetailsModel() {
  }

  public OkopfDetailsModel(OkopfAttributeValueModel[] attributeValues) {
    this.attributeValues = attributeValues;
  }

  public OkopfAttributeValueModel[] getAttributeValues() {
    return attributeValues;
  }

  public void setAttributeValues(
      OkopfAttributeValueModel[] attributeValues) {
    this.attributeValues = attributeValues;
  }

  @Override
  public String toString() {
    return "OkopfDataRecordsModel{" +
           "attributeValues=" + Arrays.toString(attributeValues) +
           '}';
  }
}
